
Application: gvSIG desktop - gvSIG bugs #2710
Carga de WFS no lee atributos alfanuméricos
07/23/2014 11:06 AM - José Badía

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category: WFS
Target version: 2.1.0-2239-testing
Severity: Major Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Error causado al obtener los tipos de la capa:

http://ideex.pdvsa.com/ideex/wfs?version=1.0.0&&REQUEST=DescribeFeatureType&SERVICE=WFS&TypeName=FAJPOLR
G000

Ahi se muestran tipos Character (no reconocido), Real (no reconocido), Itenger (reconocido) y el de la geometría (reconocido)

<schema targetNamespace="http://mapserver.gis.umn.edu/mapserver" elementFormDefault="qualified" version="0.1">
<import namespace="http://www.opengis.net/gml" schemaLocation="http://schemas.opengis.net/gml/2.1.2/feature.xsd"/>
<element name="FAJPOLRG000" type="ms:FAJPOLRG000Type" substitutionGroup="gml:_Feature"/>
<complexType name="FAJPOLRG000Type">
<complexContent>
<extension base="gml:AbstractFeatureType">
<sequence>
<element name="geometry" type="gml:PolygonPropertyType" minOccurs="0" maxOccurs="1"/>
<element name="in_bq_sb" type="Character"/>
<element name="nb_area" type="Character"/>
<element name="nu_area" type="Character"/>
<element name="cod_bloque" type="Integer"/>
<element name="nb_bloque" type="Character"/>
<element name="nb_empre" type="Character"/>
<element name="nu_areakm2" type="Real"/>
<element name="pk_faja" type="Integer"/>
</sequence>
</extension>
</complexContent>
</complexType>
</schema>

generando errores de este tipo:
INFO [AWT-EventQueue-1] (WFSFeatureFiller.java:124) - Feature attribute type not recognized: nb_bloque
java.lang.Exception: Feature attribute type not recognized: nb_bloque
    at org.gvsig.fmap.dal.store.wfs.WFSFeatureFiller.fill(WFSFeatureFiller.java:124)
    at org.gvsig.fmap.dal.store.wfs.WFSFeatureFiller.fill(WFSFeatureFiller.java:181)
    at org.gvsig.fmap.dal.store.wfs.WFSFeatureFiller.fill(WFSFeatureFiller.java:171)
    at org.gvsig.fmap.dal.store.wfs.WFSFeatureFiller.fill(WFSFeatureFiller.java:147)
    at org.gvsig.fmap.dal.store.wfs.WFSFeatureFiller.fill(WFSFeatureFiller.java:101)
    at org.gvsig.fmap.dal.store.wfs.WFSFeatureFiller.fill(WFSFeatureFiller.java:90)
    at org.gvsig.fmap.dal.serverexplorer.wfs.WFSServerExplorer.getFeatureInfo(WFSServerExplorer.java:113)
    at org.gvsig.wfs.gui.panels.model.WFSSelectedFeatureManager.getFeatureInfo(WFSSelectedFeatureManager.java:84)
    at org.gvsig.wfs.gui.panels.WFSParamsPanel.refresh(WFSParamsPanel.java:782)
    at org.gvsig.wfs.gui.panels.WFSSelectFeaturePanel.refreshData(WFSSelectFeaturePanel.java:463)
    at org.gvsig.wfs.gui.panels.WFSSelectFeaturePanel$2.valueChanged(WFSSelectFeaturePanel.java:303)
    at javax.swing.DefaultListSelectionModel.fireValueChanged(DefaultListSelectionModel.java:184)
    at javax.swing.DefaultListSelectionModel.fireValueChanged(DefaultListSelectionModel.java:154)
    at javax.swing.DefaultListSelectionModel.setValueIsAdjusting(DefaultListSelectionModel.java:685)
    at javax.swing.plaf.basic.BasicTableUI$Handler.setValueIsAdjusting(BasicTableUI.java:950)
    at javax.swing.plaf.basic.BasicTableUI$Handler.mouseReleased(BasicTableUI.java:1161)
    at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:289)
    at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:289)
    at java.awt.Component.processMouseEvent(Component.java:6389)
    at javax.swing.JComponent.processMouseEvent(JComponent.java:3268)
    at java.awt.Component.processEvent(Component.java:6154)
    at java.awt.Container.processEvent(Container.java:2045)
    at java.awt.Component.dispatchEventImpl(Component.java:4750)
    at java.awt.Container.dispatchEventImpl(Container.java:2103)
    at java.awt.Component.dispatchEvent(Component.java:4576)
    at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4633)
    at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4297)
    at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4227)
    at java.awt.Container.dispatchEventImpl(Container.java:2089)
    at java.awt.Window.dispatchEventImpl(Window.java:2518)
    at java.awt.Component.dispatchEvent(Component.java:4576)
    at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:672)
    at java.awt.EventQueue.access$400(EventQueue.java:96)
    at java.awt.EventQueue$2.run(EventQueue.java:631)
    at java.awt.EventQueue$2.run(EventQueue.java:629)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:105)
    at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:116)
    at java.awt.EventQueue$3.run(EventQueue.java:645)
    at java.awt.EventQueue$3.run(EventQueue.java:643)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:105)
    at java.awt.EventQueue.dispatchEvent(EventQueue.java:642)
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:50)
    at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:275)
    at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:200)
    at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:194)
    at java.awt.Dialog$1.run(Dialog.java:1073)
    at java.awt.Dialog$3.run(Dialog.java:1127)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.awt.Dialog.show(Dialog.java:1125)
    at java.awt.Component.show(Component.java:1672)
    at java.awt.Component.setVisible(Component.java:1624)
    at java.awt.Window.setVisible(Window.java:882)
    at java.awt.Dialog.setVisible(Dialog.java:1012)
    at org.gvsig.coreplugin.mdiManager.NewSkin.addJDialog(NewSkin.java:641)
    at org.gvsig.coreplugin.mdiManager.NewSkin.addWindow(NewSkin.java:286)
    at org.gvsig.app.extension.AddLayer.doAddLayers(AddLayer.java:225)
    at org.gvsig.app.extension.AddLayer.addLayers(AddLayer.java:218)
    at org.gvsig.app.extension.AddLayer.execute(AddLayer.java:144)
    at org.gvsig.andami.actioninfo.impl.DefaultActionInfo.execute(DefaultActionInfo.java:252)
    at org.gvsig.andami.ui.mdiFrame.MDIFrame.actionPerformed(MDIFrame.java:914)
    at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2012)
    at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2335)
    at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:404)
    at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:259)
    at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.java:252)
    at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:289)
    at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:289)
    at java.awt.Component.processMouseEvent(Component.java:6389)
    at javax.swing.JComponent.processMouseEvent(JComponent.java:3268)
    at java.awt.Component.processEvent(Component.java:6154)
    at java.awt.Container.processEvent(Container.java:2045)
    at java.awt.Component.dispatchEventImpl(Component.java:4750)
    at java.awt.Container.dispatchEventImpl(Container.java:2103)
    at java.awt.Component.dispatchEvent(Component.java:4576)
    at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4633)
    at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4297)
    at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4227)
    at java.awt.Container.dispatchEventImpl(Container.java:2089)
    at java.awt.Window.dispatchEventImpl(Window.java:2518)
    at java.awt.Component.dispatchEvent(Component.java:4576)
    at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:672)
    at java.awt.EventQueue.access$400(EventQueue.java:96)
    at java.awt.EventQueue$2.run(EventQueue.java:631)
    at java.awt.EventQueue$2.run(EventQueue.java:629)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:105)
    at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:116)
    at java.awt.EventQueue$3.run(EventQueue.java:645)
    at java.awt.EventQueue$3.run(EventQueue.java:643)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:105)
    at java.awt.EventQueue.dispatchEvent(EventQueue.java:642)
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:50)
    at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:275)
    at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:200)
    at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:190)
    at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:185)
    at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:177)
    at java.awt.EventDispatchThread.run(EventDispatchThread.java:138)

05/17/2024 3/4



History
#1 - 07/23/2014 02:25 PM - Joaquín  del Cerro Murciano

Al parecer es un problema de mapserver que en versiones anteriores a la 6.4.1 no mapeaba adecuadamente los tipos internos suyos al tipo correcto
de GML.

https://github.com/mapserver/docs/issues/65

De todos modos voy a ver si puedo añadir los tipos Character y Real como alias de string y double.

#2 - 07/25/2014 10:11 AM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#3 - 07/27/2014 09:42 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2239-testing

#4 - 07/29/2014 06:11 AM - Álvaro Anguix
- Status changed from Fixed to Closed
